### Hierarchy

- HttpTransportSyncedImpl

### Implements

- HttpTransport

## Index

### Constructors

- constructor

### Methods

- addInterceptor
- getHost
- sendRequest

## Constructors

### constructor

- new HttpTransportSyncedImpl(host: string): HttpTransportSyncedImpl

- - Defined in repository/source/http/HttpTransportSyncedImpl.ts:25

  #### Parameters

  - ##### host: string

  #### Returns HttpTransportSyncedImpl

## Methods

### addInterceptor

- addInterceptor(interceptor: HttpInterceptor): HttpTransport

- Implementation of HttpTransport.addInterceptor

  - Defined in repository/source/http/HttpTransportSyncedImpl.ts:31

  #### Parameters

  - ##### interceptor: HttpInterceptor

  #### Returns HttpTransport

### getHost

- getHost(): string

- Implementation of HttpTransport.getHost

  - Defined in repository/source/http/HttpTransportSyncedImpl.ts:50

  #### Returns string

### sendRequest

- sendRequest(method: HttpMethod, data?: any): Promise<Response>

- Implementation of HttpTransport.sendRequest

  - Defined in repository/source/http/HttpTransportSyncedImpl.ts:38

  #### Parameters

  - ##### method: HttpMethod

  - ##### Optional data: any

  #### Returns Promise<Response>

Generated using TypeDoc